web-dev-qa-db-ja.com

npm WARNは非推奨の[email protected]:graceful-fsバージョン3

Npm installを実行していますが、エラーが発生しています。また、更新前に以下のコマンドを実行しようとしました。 $ npm install npmおよびgraceful-fsも更新しました。

$ npm install -g graceful-fs
[email protected] C:\Users\RDY672\AppData\Roaming\npm\node_modules\graceful-fs

エラーは次のとおりです。

$ npm install -g [email protected]
npm WARN deprecated [email protected]: graceful-fs version 3 and before will fail on newer node releases. Please update to [email protected]^4.0.0 as soon as possible.
npm WARN deprecated [email protected]: graceful-fs version 3 and before will fail on newer node releases. Please update to [email protected]^4.0.0 as soon as possible.
npm WARN deprecated [email protected]: this package has been reintegrated into npm and is now out of date with respect to npm
npm ERR! cb() never called!
npm ERR! not ok code 0
52
MaxWorld

TL; DR:必要に応じてバグを報告し、現時点では非推奨の警告を無視します。エラーがスローされない限り、それはあなたの問題ではありません。


おそらく、Nodeの内部モジュールに依存するgraceful-fsの古いバージョンに間接的に依存しています(そうすべきではありません)。そのモジュールは必然的にdoesNodeの実装の詳細に大きく依存しますが、4.xはその点でより脆弱ではないように書かれました。 APIで3.xと4.xの間で変更されたものはほとんどありません。

価値があるのは、数週間前にnpmでダウンロードされたモジュールの中で10番目に多いモジュールでした。私はそれがあまり変わらないと思います。そして、そのモジュールの大きな使用シェアのために(npm自体間接的には古いバージョンに依存します)、 ノードはすでにしようとしている一時的な修正を宣言しています内部モジュールから人々を降ろします

そのため、エラーが発生した場合を除き、心配しないでください。それらはすでに非常によく知られているので、私は一般的にこれらの非推奨の警告を無視します。

49
Isiah Meadows

npm install -g graceful-fs [email protected]は私のために働きます。

これにより、graceful-fsの最新バージョンがインストールされます!!

47
Vishal2210

心配する必要はありません。開発にのみ影響するため、依存関係に問題はありません。 gulpチームはこの問題を認識しています。

Gulp 3.xのインストール時のgraceful-fs非推奨警告を認識しています。

これは、次の原因によるものです。1. graceful-fs devDependency 2. vinyl-fs依存関係

どちらも、APIの破壊的な変更のためにアップグレードできません。

特に開発でのみ使用されるため、依存関係に問題はありません。 gulp 4でそれを更新または削除し、メッセージは消えます。

https://github.com/gulpjs/gulp/issues/1571

7
Alex

私はそれがまったく影響しないということについてのすべてのコメントに同意します。ただし、アップグレードする場合。

最初に、どのバージョンが既に優雅であるかを確認します

$ npm ls graceful-fs

そして、あなたがそれの最新バージョンを持っていないなら、それをインストールしてください

$ Sudo npm install -g graceful-fs [email protected]
2
Vic B-A

WindowsプラットフォームとHomesteadを使用しています。コンソールで次のコマンドが機能します。

npm install --no-bin-links
gulp
npm rebuild node-sass
gulp
0
mehedi101